Package fr.gouv.vitam.functionaltest.cucumber.step

# Class PreservationStep

java.lang.Object
fr.gouv.vitam.functionaltest.cucumber.step.CommonStep
fr.gouv.vitam.functionaltest.cucumber.step.PreservationStep

public class PreservationStep extends CommonStep
PreservationStep class

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class fr.gouv.vitam.functionaltest.cucumber.step.CommonStep

  `CommonStep.MyRunnable`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `EMPTY_JSON_FILE`

  ### Fields inherited from class fr.gouv.vitam.functionaltest.cucumber.step.CommonStep

  `world`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PreservationStep(World world)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `deleteAllPreservationBaseData()`
  `void`
  `importGriffin(String fileName)`
  `void`
  `importPreservation(String fileName)`
  `void`
  `launchPreservation(String scenarioId, String usage)`
  `void`
  `launchPreservation(String scenarioId, String usageEntree, String usageSortie)`
  `void`
  `searchGriffinById(String identifier)`
  `void`
  `searchNotExistantPreservationById(String identifier)`
  `void`
  `searchNotGriffinById(String identifier)`
  `void`
  `searchPreservationById(String identifier)`
  `void`
  `verifyBinaryIfNotGenerated(String qualifierParam)`
  `void`
  `verifyIfTypeBinaryHasBeenGenerated(String qualifierParam, String type)`

  ### Methods inherited from class fr.gouv.vitam.functionaltest.cucumber.step.CommonStep

  `checkOperationStatus, runInVitamThread`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### EMPTY_JSON_FILE

    public static final String EMPTY_JSON_FILE
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### PreservationStep

    public PreservationStep(World world)

- ## Method Details

  - ### importGriffin

    @When("^j\'importe le griffon nomm\u00e9 (.*)$") public void importGriffin(String fileName)

  - ### importPreservation

    @When("^j\'importe le preservation Scenario nomm\u00e9 (.*)$") public void importPreservation(String fileName)

  - ### searchGriffinById

    @When("^je cherche le griffon nomm\u00e9 (.*)$") public void searchGriffinById(String identifier) throws VitamClientException, InvalidParseOperationException
    Throws:
      `VitamClientException`
      `InvalidParseOperationException`

  - ### searchNotGriffinById

    @Then("^le griffon nomm\u00e9 (.*) n\'existe pas$") public void searchNotGriffinById(String identifier) throws VitamClientException
    Throws:
      `VitamClientException`

  - ### searchNotExistantPreservationById

    @Then("^le sc\u00e9nario de preservation nomm\u00e9 (.*) n\'existe pas$") public void searchNotExistantPreservationById(String identifier) throws VitamClientException
    Throws:
      `VitamClientException`

  - ### searchPreservationById

    @When("^je cherche le sc\u00e9nario de preservation nomm\u00e9 (.*)$") public void searchPreservationById(String identifier) throws Exception
    Throws:
      `Exception`

  - ### deleteAllPreservationBaseData

    @When("^je supprime les griffons et les sc\u00e9narios de pr\u00e9servation sur tous les tenants") public void deleteAllPreservationBaseData() throws Exception
    Throws:
      `Exception`

  - ### launchPreservation

    @When("^je lance la preservation avec le sc\u00e9nario (.*) et pour l\'usage (.*)$") public void launchPreservation(String scenarioId, String usage) throws Exception
    Throws:
      `Exception`

  - ### launchPreservation

    @When("^je lance la preservation du sc\u00e9nario (.*) pour l\'usage d\'entr\u00e9e (.*) et pour l\'usage de sortie (.*)$") public void launchPreservation(String scenarioId, String usageEntree, String usageSortie) throws Exception
    Throws:
      `Exception`

  - ### verifyIfTypeBinaryHasBeenGenerated

    @Then("^le type du binaire g\u00e9n\u00e9r\u00e9 est un (.*) et de type (.*)$") public void verifyIfTypeBinaryHasBeenGenerated(String qualifierParam, String type) throws InvalidParseOperationException
    Throws:
      `InvalidParseOperationException`

  - ### verifyBinaryIfNotGenerated

    @Then("^Le fichier binaire du type du qualifier (.*) n\'a pas \u00e9t\u00e9 g\u00e9n\u00e9r\u00e9$") public void verifyBinaryIfNotGenerated(String qualifierParam) throws InvalidParseOperationException
    Throws:
      `InvalidParseOperationException`